### Constructor

# JavaScriptCore Context new_with_virtual_machine

#### Declaration [src]

    JSCContext*
    jsc_context_new_with_virtual_machine (
      JSCVirtualMachine* vm
    )

#### Description [src]

Create a new `JSCContext` in `virtual_machine`.

#### Parameters

`vm` | `JSCVirtualMachine`
| A `JSCVirtualMachine`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSCContext`
| The newly created `JSCContext`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.